IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ffcc::/16- First address
ffcc::- Last address
ffcc:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ffcc:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
c.c.f.f.ip6.arpa
Split into smaller subnets
ffcc::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ffcc::/28 | ffcc:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ffcc:10::/28 | ffcc:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ffcc:20::/28 | ffcc:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ffcc:30::/28 | ffcc:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ffcc:40::/28 | ffcc:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ffcc:50::/28 | ffcc:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ffcc:60::/28 | ffcc:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ffcc:70::/28 | ffcc:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ffcc:80::/28 | ffcc:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ffcc:90::/28 | ffcc:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ffcc:a0::/28 | ffcc:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ffcc:b0::/28 | ffcc:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ffcc:c0::/28 | ffcc:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ffcc:d0::/28 | ffcc:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ffcc:e0::/28 | ffcc:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ffcc:f0::/28 | ffcc:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ffcc:100::/28 | ffcc:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ffcc:110::/28 | ffcc:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ffcc:120::/28 | ffcc:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ffcc:130::/28 | ffcc:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ffcc:140::/28 | ffcc:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ffcc:150::/28 | ffcc:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ffcc:160::/28 | ffcc:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ffcc:170::/28 | ffcc:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ffcc:180::/28 | ffcc:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ffcc:190::/28 | ffcc:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ffcc:1a0::/28 | ffcc:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ffcc:1b0::/28 | ffcc:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ffcc:1c0::/28 | ffcc:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ffcc:1d0::/28 | ffcc:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ffcc:1e0::/28 | ffcc:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ffcc:1f0::/28 | ffcc:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ffcc:200::/28 | ffcc:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ffcc:210::/28 | ffcc:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ffcc:220::/28 | ffcc:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ffcc:230::/28 | ffcc:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ffcc:240::/28 | ffcc:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ffcc:250::/28 | ffcc:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ffcc:260::/28 | ffcc:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ffcc:270::/28 | ffcc:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ffcc:280::/28 | ffcc:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ffcc:290::/28 | ffcc:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ffcc:2a0::/28 | ffcc:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ffcc:2b0::/28 | ffcc:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ffcc:2c0::/28 | ffcc:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ffcc:2d0::/28 | ffcc:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ffcc:2e0::/28 | ffcc:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ffcc:2f0::/28 | ffcc:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ffcc:300::/28 | ffcc:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ffcc:310::/28 | ffcc:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ffcc:320::/28 | ffcc:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ffcc:330::/28 | ffcc:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ffcc:340::/28 | ffcc:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ffcc:350::/28 | ffcc:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ffcc:360::/28 | ffcc:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ffcc:370::/28 | ffcc:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ffcc:380::/28 | ffcc:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ffcc:390::/28 | ffcc:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ffcc:3a0::/28 | ffcc:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ffcc:3b0::/28 | ffcc:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ffcc:3c0::/28 | ffcc:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ffcc:3d0::/28 | ffcc:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ffcc:3e0::/28 | ffcc:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ffcc:3f0::/28 | ffcc:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ffcc:400::/28 | ffcc:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ffcc:410::/28 | ffcc:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ffcc:420::/28 | ffcc:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ffcc:430::/28 | ffcc:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ffcc:440::/28 | ffcc:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ffcc:450::/28 | ffcc:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ffcc:460::/28 | ffcc:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ffcc:470::/28 | ffcc:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ffcc:480::/28 | ffcc:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ffcc:490::/28 | ffcc:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ffcc:4a0::/28 | ffcc:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ffcc:4b0::/28 | ffcc:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ffcc:4c0::/28 | ffcc:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ffcc:4d0::/28 | ffcc:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ffcc:4e0::/28 | ffcc:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ffcc:4f0::/28 | ffcc:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ffcc:500::/28 | ffcc:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ffcc:510::/28 | ffcc:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ffcc:520::/28 | ffcc:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ffcc:530::/28 | ffcc:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ffcc:540::/28 | ffcc:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ffcc:550::/28 | ffcc:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ffcc:560::/28 | ffcc:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ffcc:570::/28 | ffcc:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ffcc:580::/28 | ffcc:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ffcc:590::/28 | ffcc:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ffcc:5a0::/28 | ffcc:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ffcc:5b0::/28 | ffcc:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ffcc:5c0::/28 | ffcc:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ffcc:5d0::/28 | ffcc:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ffcc:5e0::/28 | ffcc:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ffcc:5f0::/28 | ffcc:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ffcc:600::/28 | ffcc:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ffcc:610::/28 | ffcc:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ffcc:620::/28 | ffcc:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ffcc:630::/28 | ffcc:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ffcc:640::/28 | ffcc:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ffcc:650::/28 | ffcc:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ffcc:660::/28 | ffcc:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ffcc:670::/28 | ffcc:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ffcc:680::/28 | ffcc:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ffcc:690::/28 | ffcc:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ffcc:6a0::/28 | ffcc:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ffcc:6b0::/28 | ffcc:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ffcc:6c0::/28 | ffcc:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ffcc:6d0::/28 | ffcc:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ffcc:6e0::/28 | ffcc:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ffcc:6f0::/28 | ffcc:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ffcc:700::/28 | ffcc:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ffcc:710::/28 | ffcc:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ffcc:720::/28 | ffcc:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ffcc:730::/28 | ffcc:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ffcc:740::/28 | ffcc:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ffcc:750::/28 | ffcc:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ffcc:760::/28 | ffcc:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ffcc:770::/28 | ffcc:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ffcc:780::/28 | ffcc:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ffcc:790::/28 | ffcc:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ffcc:7a0::/28 | ffcc:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ffcc:7b0::/28 | ffcc:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ffcc:7c0::/28 | ffcc:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ffcc:7d0::/28 | ffcc:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ffcc:7e0::/28 | ffcc:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ffcc:7f0::/28 | ffcc:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ffcc:800::/28 | ffcc:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ffcc:810::/28 | ffcc:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ffcc:820::/28 | ffcc:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ffcc:830::/28 | ffcc:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ffcc:840::/28 | ffcc:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ffcc:850::/28 | ffcc:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ffcc:860::/28 | ffcc:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ffcc:870::/28 | ffcc:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ffcc:880::/28 | ffcc:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ffcc:890::/28 | ffcc:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ffcc:8a0::/28 | ffcc:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ffcc:8b0::/28 | ffcc:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ffcc:8c0::/28 | ffcc:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ffcc:8d0::/28 | ffcc:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ffcc:8e0::/28 | ffcc:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ffcc:8f0::/28 | ffcc:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ffcc:900::/28 | ffcc:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ffcc:910::/28 | ffcc:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ffcc:920::/28 | ffcc:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ffcc:930::/28 | ffcc:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ffcc:940::/28 | ffcc:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ffcc:950::/28 | ffcc:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ffcc:960::/28 | ffcc:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ffcc:970::/28 | ffcc:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ffcc:980::/28 | ffcc:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ffcc:990::/28 | ffcc:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ffcc:9a0::/28 | ffcc:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ffcc:9b0::/28 | ffcc:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ffcc:9c0::/28 | ffcc:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ffcc:9d0::/28 | ffcc:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ffcc:9e0::/28 | ffcc:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ffcc:9f0::/28 | ffcc:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ffcc:a00::/28 | ffcc:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ffcc:a10::/28 | ffcc:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ffcc:a20::/28 | ffcc:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ffcc:a30::/28 | ffcc:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ffcc:a40::/28 | ffcc:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ffcc:a50::/28 | ffcc:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ffcc:a60::/28 | ffcc:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ffcc:a70::/28 | ffcc:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ffcc:a80::/28 | ffcc:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ffcc:a90::/28 | ffcc:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ffcc:aa0::/28 | ffcc:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ffcc:ab0::/28 | ffcc:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ffcc:ac0::/28 | ffcc:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ffcc:ad0::/28 | ffcc:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ffcc:ae0::/28 | ffcc:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ffcc:af0::/28 | ffcc:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ffcc:b00::/28 | ffcc:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ffcc:b10::/28 | ffcc:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ffcc:b20::/28 | ffcc:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ffcc:b30::/28 | ffcc:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ffcc:b40::/28 | ffcc:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ffcc:b50::/28 | ffcc:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ffcc:b60::/28 | ffcc:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ffcc:b70::/28 | ffcc:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ffcc:b80::/28 | ffcc:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ffcc:b90::/28 | ffcc:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ffcc:ba0::/28 | ffcc:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ffcc:bb0::/28 | ffcc:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ffcc:bc0::/28 | ffcc:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ffcc:bd0::/28 | ffcc:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ffcc:be0::/28 | ffcc:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ffcc:bf0::/28 | ffcc:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ffcc:c00::/28 | ffcc:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ffcc:c10::/28 | ffcc:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ffcc:c20::/28 | ffcc:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ffcc:c30::/28 | ffcc:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ffcc:c40::/28 | ffcc:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ffcc:c50::/28 | ffcc:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ffcc:c60::/28 | ffcc:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ffcc:c70::/28 | ffcc:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ffcc:c80::/28 | ffcc:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ffcc:c90::/28 | ffcc:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ffcc:ca0::/28 | ffcc:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ffcc:cb0::/28 | ffcc:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ffcc:cc0::/28 | ffcc:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ffcc:cd0::/28 | ffcc:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ffcc:ce0::/28 | ffcc:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ffcc:cf0::/28 | ffcc:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ffcc:d00::/28 | ffcc:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ffcc:d10::/28 | ffcc:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ffcc:d20::/28 | ffcc:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ffcc:d30::/28 | ffcc:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ffcc:d40::/28 | ffcc:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ffcc:d50::/28 | ffcc:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ffcc:d60::/28 | ffcc:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ffcc:d70::/28 | ffcc:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ffcc:d80::/28 | ffcc:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ffcc:d90::/28 | ffcc:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ffcc:da0::/28 | ffcc:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ffcc:db0::/28 | ffcc:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ffcc:dc0::/28 | ffcc:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ffcc:dd0::/28 | ffcc:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ffcc:de0::/28 | ffcc:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ffcc:df0::/28 | ffcc:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ffcc:e00::/28 | ffcc:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ffcc:e10::/28 | ffcc:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ffcc:e20::/28 | ffcc:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ffcc:e30::/28 | ffcc:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ffcc:e40::/28 | ffcc:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ffcc:e50::/28 | ffcc:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ffcc:e60::/28 | ffcc:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ffcc:e70::/28 | ffcc:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ffcc:e80::/28 | ffcc:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ffcc:e90::/28 | ffcc:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ffcc:ea0::/28 | ffcc:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ffcc:eb0::/28 | ffcc:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ffcc:ec0::/28 | ffcc:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ffcc:ed0::/28 | ffcc:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ffcc:ee0::/28 | ffcc:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ffcc:ef0::/28 | ffcc:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ffcc:f00::/28 | ffcc:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ffcc:f10::/28 | ffcc:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ffcc:f20::/28 | ffcc:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ffcc:f30::/28 | ffcc:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ffcc:f40::/28 | ffcc:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ffcc:f50::/28 | ffcc:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ffcc:f60::/28 | ffcc:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ffcc:f70::/28 | ffcc:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ffcc:f80::/28 | ffcc:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ffcc:f90::/28 | ffcc:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ffcc:fa0::/28 | ffcc:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ffcc:fb0::/28 | ffcc:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ffcc:fc0::/28 | ffcc:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ffcc:fd0::/28 | ffcc:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ffcc:fe0::/28 | ffcc:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ffcc:ff0::/28 | ffcc:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |